<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- displays site properly based on user's device -->

    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="./images/favicon-32x32.png"
    />
    <title>Frontend Mentor | Intro component with sign up form</title>
    <link rel="stylesheet" href="style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <main>
      <section class="left-section">
        <h1>Learn to code by watching others</h1>
        <p>
          See how experienced developers solve problems in real-time. Watching
          scripted tutorials is great, but understanding how developers think is
          invaluable.
        </p>
      </section>
      <section class="right-section">
        <div class="banner">
          <h3>
            Try it free 7 days<span class="banner-text-left">
              then $20/mo. thereafter</span
            >
          </h3>
        </div>
        <form>
          <input
            type="text"
            class="first-name empty"
            placeholder="First Name"
          />
          <p class="error f-n-error">First Name cannot be empty</p>
          <input type="text" class="last-name empty" placeholder="Last Name" />
          <p class="error l-n-error">Last Name cannot be empty</p>
          <input
            type="email"
            class="email email-placeholder empty"
            placeholder="Email Address"
          />
          <p class="error email-error">Email must be valid</p>
          <input type="text" class="password empty" placeholder="Password" />
          <p class="error password-error">Password cannot be empty</p>
          <button type="button" class="btn">Claim your free trial</button>
          <p class="terms">
            By clicking the button, you are agreeing to our
            <a href="#" class="terms-services">Terms and Services</a>
          </p>
        </form>
      </section>
    </main>
    <footer>
      <p class="attribution">
        Challenge by
        <a href="https://www.frontendmentor.io?ref=challenge" target="_blank"
          >Frontend Mentor</a
        >. Coded by <a href="#">Marek</a>.
      </p>
    </footer>
    <script src="script.js"></script>
  </body>
</html>
